#
# spec file for package hevea
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2022 Aaron Puchert.
# Copyright (c) 2017 Peter Trommler.
# Copyright (c) 2008 Gernot Hillier.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hevea
Version:        2.36
Release:        1.17
Summary:        A fast LaTeX to HTML translator
License:        LGPL-2.0-only AND QPL-1.0
Group:          Productivity/Publishing/HTML/Tools
URL:            https://hevea.inria.fr/
Source0:        https://hevea.inria.fr/distri/%{name}-%{version}.tar.gz
Source1:        https://hevea.inria.fr/distri/%{name}-%{version}-manual.tar.gz
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml(ocaml.opt) >= 4.08

%description
HEVEA is a LaTeX to HTML translator.  The input language is a fairly
complete subset of LaTeX2e (old LaTeX style is also accepted) and
the output language is HTML.

%prep
%setup -q
%setup -q -a 1

%build
make %{?_smp_mflags} LIBDIR=%{_datadir}/%{name}

%install
# Remove configuration
rm config.sh
%make_install \
    PREFIX=%{_prefix} \
    LIBDIR=%{_datadir}/%{name} \
    LATEXLIBDIR=%{_datadir}/texmf/tex/latex

%files
%license LICENSE
%doc CHANGES README
%doc %{name}-%{version}-manual/*
%{_bindir}/bibhva
%{_bindir}/esponja
%{_bindir}/hacha
%{_bindir}/hevea
%{_bindir}/imagen
%{_datadir}/%{name}
%dir %{_datadir}/texmf
%dir %{_datadir}/texmf/tex
%dir %{_datadir}/texmf/tex/latex
%{_datadir}/texmf/tex/latex/%{name}.sty
%{_datadir}/texmf/tex/latex/mathjax.sty

%changelog
* Thu Jun 16 2022 Aaron Puchert <aaronpuchert@alice-dsl.net>
- Update to version 2.36.
  * Compatibility with OCaml 5.0.
* Tue Aug 31 2021 olaf@aepfle.de
- Requires at least OCaml 4.08
* Sun Jan 17 2021 Aaron Puchert <aaronpuchert@alice-dsl.net>
- Update to version 2.35.
  * Some optimisation in text output (replace ' '+ '\n' by '\n').
  * Correct bug in text mode on bad combination of indentation and
    underlining.
* Sun Mar 29 2020 Aaron Puchert <aaronpuchert@alice-dsl.net>
- Update to version 2.34.
  * Add command \formatlinks for greater control over navigation
    links.
* Fri Feb 14 2020 Aaron Puchert <aaronpuchert@alice-dsl.net>
- Update to version 2.33.
  * Modifications to cope with upcoming ocaml 4.10.0.
* Fri Nov  1 2019 olaf@aepfle.de
- Require the native ocaml compiler, those Makefiles are written that way...
* Sun Jul 14 2019 Aaron Puchert <aaronpuchert@alice-dsl.net>
- Update to version 2.32.
  * Introduce SVG arrows, contribution by Florian Angeletti.
  * Correct doc typos.
  * Better error message when several \documentclass are present.
  * Mathjax 'automatic' support.
  * Mathjax support.
- Clean up spec file.
- Package LICENSE as %%license.
- Mention executables separately in %%files.
* Thu Apr 13 2017 peter.trommler@ohm-hochschule.de
- update to 2.29 from upstream
* Fri Jan  4 2013 peter.trommler@ohm-hochschule.de
- update to 2.00 from upstream
  * version 2.00
  - HTML 5.0 output.
  * version 1.99
  - Last released version that outputs html 4.0
  - Simplified html.mli, text.mli and info.mli by including outManager
    signature
  - Corrected installer bug (lstlang?.sty not installed !!)
  - Buffers with underlying rope structure (use our own)
* Fri Jan  4 2013 peter.trommler@ohm-hochschule.de
- old changelog:
  * Mon Dec 22 2008 Gernot Hillier <gernot.hillier@siemens.com>
  - updated to hevea 1.10
  * Thu Dec 22 2005 Texstar <texstar@houston.rr.com> 1.08-1tex
  - build for pclos
